{
  "compilerOptions": { /* Docs: https://www.typescriptlang.org/tsconfig */
    "resolveJsonModule": true,
    "target": "ES2020",
    "module": "commonjs",
    "outDir": "./dist",
    "rootDir": "./",
    "strict": true,
    "noImplicitAny": false,
    "strictNullChecks": true,
    "checkJs": true,
    "allowJs": true,
    "moduleResolution": "node",
    "sourceMap": true,
    "types": [
      "node",
      "jest"
    ],
    "typeRoots": [
      "./node_modules/@types",
      "./src/@types"
    ] /* List of folders to include type definitions from. */,
    "lib": [
      "es6"
    ],
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "allowUnreachableCode": true,
    "useUnknownInCatchVariables": false, // TypeScript 4.4+ only!
  },
  "include": [
    "features.json",
    "src/web/server/locales/en/*.json",
    "src/",
  ],
  "exclude": [
    "<node_internals>/**",
    "src/test/**",
    "src/web/public/**",
    "**/*.test.ts",
    "src/**/*.test.ts",
    "**/__mocks__",
  ]
}